2018-03-06 11:27:46 UTC - david-jin: I got some problem, I want to deploy 3 
cluster to form a geo-replication scenery.    For the sake of safing money, I 
deploy one of the cluster in a VM (zookeeper, bookkeeper, broker, together).
----
2018-03-06 11:28:02 UTC - david-jin: root@meari-eu-ecs-pulsar 
apache-pulsar-1.21.0-incubating]# tail 
/root/apache-pulsar-1.21.0-incubating/logs/pulsar-bookie-meari-eu-ecs-pulsar.log
        at 
sun.nio.ch.ServerSocketChannelImpl.bind(ServerSocketChannelImpl.java:223)
        at sun.nio.ch.ServerSocketAdaptor.bind(ServerSocketAdaptor.java:74)
        at 
org.eclipse.jetty.server.ServerConnector.open(ServerConnector.java:317)
        at 
org.eclipse.jetty.server.AbstractNetworkConnector.doStart(AbstractNetworkConnector.java:80)
        at 
org.eclipse.jetty.server.ServerConnector.doStart(ServerConnector.java:235)
        at 
org.eclipse.jetty.util.component.AbstractLifeCycle.start(AbstractLifeCycle.java:68)
        at org.eclipse.jetty.server.Server.doStart(Server.java:390)
        at 
org.eclipse.jetty.util.component.AbstractLifeCycle.start(AbstractLifeCycle.java:68)
        at 
org.apache.bookkeeper.stats.PrometheusMetricsProvider.start(PrometheusMetricsProvider.java:52)
        ... 1 more
----
2018-03-06 11:28:20 UTC - david-jin: above is the output of bookkeeper
----
2018-03-06 11:28:27 UTC - david-jin: something wrong?
----
2018-03-06 12:15:33 UTC - Ivan Kelly: ah, bookkeeper is trying to start the 
prometheus metrics servlet, but i think pulsar already uses that port
----
2018-03-06 12:15:35 UTC - Ivan Kelly: one sec
----
2018-03-06 12:16:41 UTC - Ivan Kelly: comment out the line with 
statsProviderClass in conf/bookkeeper.conf
----
2018-03-06 19:01:57 UTC - Matteo Merli: <!here> New Pulsar 1.22.0-incubating 
has been released!

Here’s a summary of main changes:

Features

    [#896] PIP-7 Introduce Failure-domain and Anti-affinity-namespace group
    [#1031] Add optional key/value metadata to producers/consumers
    [#1129] Added end to end encryption in C++ client
    [#1151] Added REST handler to create a subscription on a topic
    [#1087] Add basic authentication plugin
    [#1200] Add pluggable authorization mechanism
    [#1208] Add hostname-verification at client tls connection
    [#950] Provided an DCOS Universe package for pulsar
    [#1046] Introduce config to skip non-recoverable data-ledger
    [#899] Add subscription auth mode by prefix
    [#1135] Added infinite time retention configuration option

Enhancements

    [#1094] Include BoringSSL native implementation for faster TLS
    [#1204] Reduce size of buffer used to assemble batches
    [#930] Perform async DNS resolution
    [#1124] Support Pulsar proxy from C++/Python client library
    [#1012] Made load shedding for load manager Dynamically configurable
    [#962] Raw Reader for Pulsar Topics
    [#941] Upgraded Jackson version
    [#1002, #1169, #1168] Making Pulsar Proxy more secure
    [#1029] Fix MessageRouter hash inconsistent on C++/Java clien

Fixes

    [#1153] Fixed increase partitions on a partitioned topic
    [#1195] Ensure the checksum is not stripped after validation in the broker
    [#1203] Use duplicates when writing from ByteBuf pair to avoid multiple 
threads issues
    [#1210] Cancel keep-alive timer task after the proxy switch to TCP proxy
    [#1170] Upgrade BK version: BK-4.3.1.91-yahoo (fix: stats + DoubleByteBuf)
    [#875] Bug fixes for Websocket proxy


The complete list of changes can be found at:
<https://github.com/apache/incubator-pulsar/milestone/11?closed=1>
+1 : Ali Ahmed
----
2018-03-06 19:02:07 UTC - Matteo Merli: @Matteo Merli pinned a message to this 
channel.
----
2018-03-06 19:02:18 UTC - Matteo Merli: @Matteo Merli set the channel topic: 
General channel - Pulsar release 1.22.0-incubating
----
2018-03-07 00:16:55 UTC - Yuvaraj Loganathan: @Yuvaraj Loganathan has joined 
the channel
----
2018-03-07 02:00:18 UTC - durga: Hi - I am unable to compile pulsar c++ client 
on Mac OS for Pulsar release 1.22.0-incubating. I am wondering if any else run 
into same issue and any suggestions.
----
2018-03-07 02:00:29 UTC - durga: @durga uploaded a file: 
<https://apache-pulsar.slack.com/files/U97QX7127/F9LPQ6U4X/screen_shot_2018-03-06_at_5.56.43_pm.png|Screen
 Shot 2018-03-06 at 5.56.43 PM.png>
----
2018-03-07 02:02:14 UTC - Sijie Guo: @durga have you looked into this - 
<https://github.com/apache/incubator-pulsar/tree/master/pulsar-client-cpp>
----
2018-03-07 02:02:29 UTC - Sijie Guo: the README provides some instructions for 
you
----
2018-03-07 02:03:07 UTC - durga: Hi @Sijie Guo - Yes. I did exactly the steps 
mentioned in the README for Mac OS. After that I was getting the above problem.
----
2018-03-07 02:06:58 UTC - Sijie Guo: no matching constructor sounds like a 
mismatch boost lib or tls lib?
----
2018-03-07 02:07:13 UTC - Sijie Guo: although not an expert on c++
----
2018-03-07 02:09:06 UTC - durga: @Sijie Guo - Ok. I will wait if anyone can 
suggest a different boost lib or tls lib version to install besides what was 
mentioned in the README file. I myself is not an expert on c++ and hence cannot 
make that determination well.
----
2018-03-07 02:10:07 UTC - Matteo Merli: I cannot check right now, but I think 
it's a problem with newer boost versions. Can you try to downgrade the boost to 
1.62?
----
2018-03-07 02:10:37 UTC - durga: Sure. I will try downgrading to 1.62.
----
2018-03-07 02:13:10 UTC - Matteo Merli: I think there was some change in later 
versions, we'll try to handle that in some way
----
2018-03-07 02:24:50 UTC - durga: I downgraded to boost@1.60 as that was the 
next most recent version on brew. But I think installing boost-python, is 
bringing the MacOS back to latest boost version i.e, boost-1.66
----
2018-03-07 02:25:37 UTC - Matteo Merli: Last time I tried in brew there was 
matching version for boost-python
----
2018-03-07 02:27:08 UTC - Matteo Merli: Like boost-python@1.60 or 1.59
----
2018-03-07 02:27:12 UTC - durga: @durga uploaded a file: 
<https://apache-pulsar.slack.com/files/U97QX7127/F9LHYUKC6/screen_shot_2018-03-06_at_6.26.33_pm.png|Screen
 Shot 2018-03-06 at 6.26.33 PM.png> and commented: Following are the versions I 
see. Can you please suggest which combo I should try.
----
2018-03-07 02:27:59 UTC - Matteo Merli: Try 1.59 for both
----
2018-03-07 02:28:09 UTC - durga: Ok. thanks.
----
2018-03-07 02:28:28 UTC - Matteo Merli: Though I think you might have to force 
remove of the package before
----
2018-03-07 02:33:44 UTC - durga: @durga uploaded a file: 
<https://apache-pulsar.slack.com/files/U97QX7127/F9KNHPGDQ/screen_shot_2018-03-06_at_6.32.37_pm.png|Screen
 Shot 2018-03-06 at 6.32.37 PM.png> and commented: Once I moved to boost@1.59, 
then cmake fails…
----
2018-03-07 02:44:45 UTC - Matteo Merli: Ok, I'll check a bit later , from a 
laptop instead of the phone :)
----
2018-03-07 07:09:15 UTC - Matteo Merli: @durga I had forgot about the step of 
“linking” the boost packages in brew, so that the includes/lib are symlinked 
into `/usr/local`: 

`brew link boost@1.59 --force`
`brew link boost-python@1.59 --force`

That is what I did recently and it compiled correctly.
----
2018-03-07 08:18:25 UTC - david-jin: if I want to deploy 3 clusters, can i use 
the local zookeeper as the global zookeeper? (local zookeeper = global 
zookeeper)
----
2018-03-07 08:20:22 UTC - david-jin: for the sake of saving money,  
:slightly_smiling_face:
----

Reply via email to